@echo off
set MY_PATH=%~dp0
if "%MY_PATH%"=="" set MY_PATH=.\
for /f "delims== usebackq tokens=1,2" %%G in ("%MY_PATH%tool-path.txt") do set %%G=%%H
set TOOL_PATH=%MY_PATH%%COIA_PATH%
echo COIA batch: Write drive command out node 8
if -%1-==-- echo Use COWr SerialPort
if -%1-==-- goto:eof
echo Use: COIA write node 8 drive command
"%TOOL_PATH%\COIA.exe" -p %1 --node-write 8,0x6040,0,2,0x1234 --node-write 8,0x6060,0,1,0xAA --node-write 8,0x607A,0,4,0x87654321
"%TOOL_PATH%\COIA.exe" -p %1 --delay 1000 -w 0x5F01,0x0C,2,0x0802
"%TOOL_PATH%\COIA.exe" -p %1 --delay 1000 -w 0x5F01,0x0C,2,0x0803
echo COIA batch COWr: end
